<?php 
$file_name = $_GET['file_name'];
$image = $_POST['image'];  
$page_title="Liste des images";
$page_img="pictures.png";
include ("header.inc.php");
?>

<?php
// variables globales
require ("config.inc.php");
// On rcupre le nom du fichier pass en paramtres
?>


<?php

if(isset($_FILES['image']))
{
  // params
  unset($message);
  $extensions_ok = array('png', 'gif', 'jpg', 'jpeg');
  $dest_dossier = $images_dir;
  // vrifications
  if( !in_array( substr(strrchr($_FILES['image']['name'], '.'), 1), $extensions_ok ) )
  {
    $message = 'Veuillez s&eacute;lectionner un fichier de type png, gif ou jpg !';  
  }
  elseif( file_exists($_FILES['image']['tmp_name']) 
          and filesize($_FILES['image']['tmp_name']) > $taille_max)
  {
    $message = 'Votre fichier doit faire moins de '.($taille_max/1000).'Ko !';
  }
	$info = getimagesize($_FILES['image']['tmp_name']);
	// Filtre les images qui ne correspondent pas aux critres
        if( ($info[1] > $filter[height]) or ($info[0] > $filter[width]) )
       	{
            // Remplissage du tableau des noms de fichier des images
           $message="Votre image d&eacute;passe les ".$filter[height]." pixels de haut et ".$filter[width]." pixels de large !<br><br> Modifiez sa taille.";
        }

  // copie du fichier
  if(!isset($message))
  {
    // test si doublon du nom de fichier
    $dest_fichier = basename($_FILES['image']['name']);
    // formatage nom fichier
    // enlever les accents
    $dest_fichier = strtr($dest_fichier, '', 'AAAAAACEEEEIIIIOOOOOUUUUYaaaaaaceeeeiiiioooooouuuuyy');
    // remplacer les caracteres autres que lettres, chiffres et point par _
    $dest_fichier = preg_replace('/([^.a-z0-1]+)/i', '_', $dest_fichier);
    // copie du fichier
    	while (file_exists($images_dir.$dest_fichier)) {
		$dest_fichier=$dest_fichier."_i";
	}
    move_uploaded_file($_FILES['image']['tmp_name'],$images_dir.$dest_fichier);
   $message="L'image <strong>".$dest_fichier."</strong> a bien &eacute;t&eacute; copi&eacute;e !";
   echo "<div align=\"center\"><img src=\"".$images_dir.$dest_fichier."\"></div>";
   chmod ($images_dir.$dest_fichier,0744);
//   chown ($images_dir.$dest_fichier,"abuladmin");

  }
}

?>
<html>
<body>
<!-- Erreur ? -->
<?php 
if(isset($message)){
  echo '<h3 class="admin">', $message ,'</h3>';
}
?>
<!-- Formulaire -->
<!-- Attention, ne de ne pas oublier le  enctype="multipart/form-data" -->
<form method="POST" action="list_img.php" enctype="multipart/form-data">
<!-- Limiter la taille des fichiers  -->
<fieldset>
<legend>Ajout d'images
<!-- champs d'envoi de fichier, de type file -->
<p><label for="photo">Image (maxi <?php echo ($taille_max/1000) ?> ko) (<?php echo $filter[width]."x".$filter[height] ?>) :</label><input type="file" name="image" /></p>
<!-- bouton d'envoi -->
<div align="center"><input type="submit" name="envoi" value="Envoyer les fichiers" /></div>
</legend>
</fieldset>
</form>

<?php

// ------------------------------------------------------------------------- //
// Afficher toutes les images d'un dossier               //
// ------------------------------------------------------------------------- //
// Auteur: Gap <gap@melo.com>                         //
// Web:    http://www.scout.ch/gsfa                        //
// ------------------------------------------------------------------------- //

/*
Ce script permet d'afficher une image prise de manire alatoire dans un 
rpertoire.

Il ouvre le rpertoire et compte le nombre de fichiers images correspondants aux
critres (type d'image, hauteur, largeur). Une de ces images est ensuite affiche.
Le rpertoire peut contenir toutes sortes d'autres fichiers, seules les images 
correspondantes seront prises en compte.
*/

// $rep = "../images/";     // Rpertoire contenant les images

$rep = $images_dir;

$i = 0; // Initialisation du compteur
$d = dir("$rep"); // Ouverture du rpertoire

while($file=$d->read())
{
    // Empche de prendre les entres . et .. du rpertoire
    if ($file != "." && $file != "..")
    {
        $info = getimagesize($rep.$file);
        // Filtre les images qui ne correspondent pas aux critres
        if($info[2] <= $filter[type] && $info[1] <= $filter[height] && 
            $info[0] <= $filter[width])
         {
            // Remplissage du tableau des noms de fichier des images
            $table[$i] = $file;
            $i++; // Incrmentation du compteur d'images
        }
    }
}
$d->close(); // Fermeture du rpertoire
// Dfinition d'une variable contenant le chemin d'acces relatif  l'image 
// On affiche toutes les images
$nb_img=count($table);
echo "<p>Il y a ".$nb_img." images dans le dossier <strong>\"".$rep."\"</strong>.";
// echo "Seules les images inf&eacute;rieures &agrave ".$filter[height]." px de haut et ".$filter[width]." px de large sont affich&eacute;es.</p>";
$i="0";
echo "<table width=\"100%\">";	
while ($i<$nb_img) {
	if (fmod($i,$nombre_images_par_col)=="0.0") {
		// on ajoute une ligne
		echo "<tr>";
		$col=0;
		while ( ($col<$nombre_images_par_col) && ($i<$nb_img) ) {
			// on affiche les images par ligne
			$image_en_cours = $rep.$table[$i]; 
			$info = getimagesize($image_en_cours);
			echo '<td align="bottom" ><div align="center"><img class="bas" src="'.$image_en_cours.'" align="top" border="0" '.$info[3].' alt='.$table[$i].'>'; // Affichage de l'image
			echo "<br><h6>".$table[$i]."</h6></div></td>";// Affichage de son nom
			$i++;
			$col++;
		}
		echo "</tr>";
	}
}
echo "</table>";	

?> 

<h3 class="admin">Copiez le nom de l'image et fermez cette fen&ecirc;tre.</h3>

<?php
include ("footer.inc.php");
?>
