<?php 
/** **************************************************************************
 * Copyright (C) 2006 Francois Audirac <francois@webaf.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * ***************************************************************************
 * File  : urladmin.php
 * Author  : Franois Audirac
 *           mailto:francois@webaf.net
 *           http://www.webaf.net
 * Date    : 10/05/2006
 * Licence : GNU/GPL Version 2
 *
 * Description:
 * ------------
 *
 * @version    $Id: urladmin.php,v 1.0 2006/06/10
 * @author     Francois Audirac
 * @project   
 * @copyright  Francois Audirac 10/05/2006
 *
 * ************************************************************************* */
/* Page servant  grer les liens d'applications et celles des groupes.
Chaque classe peut crer une annuaire de liens et le grer grce  cette interface.
Il suffit pour cela de connaitre le mot de passe d'urladmin pour entrer dans le dossier admin
protg par deux fichiers .htaccess et .htpasswd */
$page_title="Administration des liens";
$page_img="administration-84.gif";
include ("config.inc.php");

 // en-tte particulire, remplaant celle par dfaut contenue dans header.inc.php ?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>- Abul&Eacute;du - <?php echo $page_title ?></title>
<link rel="stylesheet" type="text/css" href="style.css">
</head>
<body bgcolor="#ffffff">
<table class="cadre" align="center" cellpadding="0" cellspacing="0" width="760">

<!-- dbut du cadre -->
	<tbody>
	<tr>
		<td class="e-hg"></td>
		<td class="e-h"></td>
		<td class="e-hd"></td>
	</tr>
	<tr>
		<td class="e-g"></td>
		<td class="e-c">
		<h2>
  
  <?php
  if ( (isset($page_img)) && ($page_img<>"") && (file_exists($images_dir.$page_img)) ) {
	echo "<img src=\"".$images_dir.$page_img."\">"; 
  }
  echo " ".$page_title."</h2>";
?>
  
		<div align="center"><h3>Liste des outils &agrave; afficher sur http://servecole</h3></div>
		<ul>
			<li><a href="admin.php?file_name=<?php echo $appli_file; ?>">Applications sur servecole</a></li>
		</ul>
		<div align="center"><h3>Liste des groupes de liens</h3></div>

		<ul>
<?php
$files_dir="../liens/";
// pour corriger la constante utilise dans le config.inc.php
// qui sert par dfaut dans le cas des pages qui se trouvent dans le dossier admin

$dossier = opendir($files_dir);
$i=0;
while ($Fichier = readdir($dossier)) {
	if ($Fichier != "." && $Fichier != "..") {
		echo "<li><a href=\"admin.php?file_name=".stripslashes($Fichier)."\">".stripSlashes($Fichier)."</a></li>";
	}
	$i++;
} 
echo "</ul>";
if ($i=="2") {
	// cas o il n'y pas de fichier prsents dans le dossier liens/ cad, par de groupe cre.
	echo "&nbsp;&nbsp;Pas de fichier pr&eacute;sent &agrave; afficher dans le dossier <strong>\"".$files_dir."\"</strong><br><ul><li><a href=\"creegrp.php\">En cr&eacute;er un ?</a></li><ul>";
}
closedir($dossier);
?>

<ul>
	<li>
	<h4><a href="creegrp.php">+ Cr&eacute;er un groupe suppl&eacute;mentaire</a></h4>
	</li>
</ul>
<ul><h6>L'utilisation de cette interface d'administration n&eacute;cessite la connaissance du mot de passe d'urladmin. Celui-ci est g&eacute;n&eacute;ral et permet de g&eacute;rer tous les liens. Il faut donc &ecirc;tre vigilant et ne pas modifier les liens des autres groupes</h6></ul>

<h3 class="admin"><div align="center"><a href="../../index.php">Retour &agrave; Servecole</a></div></h3>

<!-- fin du cadre -->
</td>
  <td class="e-d"></td>
</tr>
  <tr>
  <td class="e-bg"></td>
  <td class="e-b"></td>
  <td class="e-bd"></td>
</tr>
</tbody>
</table>
</body>
</html>
