#!/bin/sh
# script d'installation et mise a jour

WWW=/var/www
URLADMIN=$WWW/urladmin
IMAGES=$WWW/images
LIENS=$WWW/urladmin/liens
ADMIN=$WWW/urladmin/admin
PICSDIR=$WWW/urladmin/admin/pics
LISTAPP=listeapplications
LISTAPPOLD=listeapplications-old

if [ -e $WWW/site.php ]; then
	echo "Le fichier personnalis \"site.php\" existe dj !"
	echo "Entrez son nouveau nom pour le sauvegarder, laissez vide pour l'craser" 
	read NEW_SITE_PHP;
	if [ ! $NEW_SITE_PHP == "" ]; then
		mv $WWW/site.php $WWW/$NEW_SITE_PHP;
	fi
fi

if [ -e $WWW/$LISTAPPOLD ]; then
	echo "Le fichier de sauvegarde \"Listeapplications-old\" existe dj !"
	echo "Entrez son nouveau nom pour le sauvegarder, laissez vide pour l'craser"
	read NEW_LISTAPPOLD;
	if [ ! $NEW_LISTAPPOLD == "" ]; then
		mv $WWW/$LISTAPPOLD $WWW/$NEW_LISTAPPOLD;
	fi
fi

							


if [ -e $URLADMIN ]; then
	echo " !!! ATTENTION !!!"
	echo "Impossible d'installer urladmin, le dossier existe dj !"
	echo " faites une sauvegarde des fichiers suivants avant de lancer l'installation"
	echo " - site.php"
	echo " - images"
	echo " - listeapplications"
	echo " - et le dossier urladmin  effacer/dplacer"
	echo
	echo "Tous ces lments se trouvent dans /var/www/"
	echo
	exit 1;
fi

# Creation du dossier urladmin
mkdir $URLADMIN

# copie des fichiers
cp -R images/ $IMAGES
cp -R liens/ $LIENS
cp -R admin/ $ADMIN
cp index.php $URLADMIN
cp liens.php $URLADMIN
cp style.css $URLADMIN
# copie de site.php  la racine
cp site.php $WWW

# modification des droits
chown -R www-data:www-data $URLADMIN
chown -R www-data:www-data $IMAGES
chown -R www-data:www-data $LIENS
chown -R www-data:www-data $ADMIN
chmod -R 600 $ADMIN/*
chmod 700 $PICSDIR
chmod 700 $IMAGES
chmod 600 $IMAGES/*
chmod 700 $LIENS
chmod 600 $LIENS/*
chown www-data:www-data $URLADMIN/index.php
chown www-data:www-data $URLADMIN/liens.php
chown www-data:www-data $URLADMIN/style.css
chmod 400 $URLADMIN/index.php
chmod 400 $URLADMIN/liens.php
chmod 600 $URLADMIN/style.css
chown abuladmin:admin $WWW/site.php
chmod 644 $WWW/site.php

# sauvegarde du fichier d'origine listeapplications
cp $WWW/$LISTAPP $WWW/$LISTAPPOLD
cp $LISTAPP $WWW/$LISTAPP
chown www-data:www-data $WWW/$LISTAPP
chmod 600 $WWW/$LISTAPP
